Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Inout_Fixed_Array_SArgument_T< S, S_forany > Class Template Reference

INOUT skeleton argument of fixed size element array. More...

`#include <Fixed_Array_SArgument_T.h>`

Inheritance diagram for TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >:

[legend]
Collaboration diagram for TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >:

[legend]
List of all members.

## Public Methods
| Inout_Fixed_Array_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S & | arg (void)
## Private Attributes
S | x_

## Detailed Description

### template<typename S, typename S_forany>
class TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >

INOUT skeleton argument of fixed size element array.

## Constructor & Destructor Documentation

template<typename S, typename S_forany>
ACE_INLINE TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >::Inout_Fixed_Array_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_forany>
ACE_INLINE S & TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >::arg | ( | void |  | ) |

template<typename S, typename S_forany>
CORBA::Boolean TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_forany>
void TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_forany>
CORBA::Boolean TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_forany>
S TAO::Inout_Fixed_Array_SArgument_T< S, S_forany >::x_`[private]`

The documentation for this class was generated from the following files:

- Fixed_Array_SArgument_T.h
- Fixed_Array_SArgument_T.cpp
- Fixed_Array_SArgument_T.inl